Skip to main content
GET
/
telegram-integration
/
project
/
{projectId}
Get Telegram Integration
curl --request GET \
  --url https://cloud.kaneo.app/api/telegram-integration/project/{projectId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "projectId": "<string>",
  "chatId": "<string>",
  "threadId": 123,
  "chatLabel": "<string>",
  "botTokenConfigured": true,
  "maskedBotToken": "<string>",
  "events": {
    "taskCreated": true,
    "taskStatusChanged": true,
    "taskPriorityChanged": true,
    "taskTitleChanged": true,
    "taskDescriptionChanged": true,
    "taskCommentCreated": true
  },
  "isActive": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

projectId
string
required

Response

Telegram integration details

id
string
required
projectId
string
required
chatId
string
required
threadId
number | null
required
chatLabel
string | null
required
botTokenConfigured
boolean
required
maskedBotToken
string
required
events
object
required
isActive
boolean | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required